=== debian/changelog ===
linkchecker (4.2-1) unstable; urgency=low

  * New upstream release.
  * Update dependencies for Python transition

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 14 Jun 2006 18:00:13 +0200

linkchecker (4.1-1) unstable; urgency=low

  * New upstream release.
    - avoids exceptions on shutdown (Closes: #368325)

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 23 May 2006 21:57:14 +0200

linkchecker (4.0-1) unstable; urgency=low

  * New upstream release.
  * Standards version 3.7.2.0

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 14 May 2006 10:45:12 +0200

linkchecker (3.4-1) unstable; urgency=low

  * New upstream release.
  * Use debhelper v5
  * Remove now-obsolete linkchecker-ssl conflict

 -- Bastian Kleineidam <calvin@debian.org>  Tue,  3 Jan 2006 19:18:22 +0100

linkchecker (3.3-1) unstable; urgency=low

  * New upstream release.
    - fixes checking of local files (Closes: #332870)

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 10 Oct 2005 23:55:56 +0200

linkchecker (3.2-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 20 Jul 2005 11:04:39 +0200

linkchecker (3.1-1) unstable; urgency=low

  * New upstream release.
    - bogus errors are not cached anymore (Closes: #307877)

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 11 Jul 2005 17:11:48 +0200

linkchecker (3.0-1) unstable; urgency=low

  * New upstream release.
    Thanks to the various Debian bug reporters these bugs are fixed
    upstream:
    - only generates ~/.linkchecker/ when it is needed
      (Closes: #307876)
    - uses new URL filtering instead of --intern/--extern
      (Closes: #307915)
    - fixes man page quotes, url vs. URL and encoding URLs.
      (Closes: #307917, #307916, #307808)
    - uses the preferred encoding instead of a hardcoded one
      (Closes: #307810)
    - removes unused robotstxt config var
      (Closes: #308146)
    - fixes bash-completion script
      (Closes: #309076)
    - fixes invalid log level
      (Closes: #316737)
    - fixes german man page typos
      (Closes: #313994)
  * Remove unnecessary README documentation file
  * Updated standards version to 3.6.2.1

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 27 Apr 2005 12:11:10 +0200

linkchecker (2.9-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 13 Apr 2005 23:03:52 +0200

linkchecker (2.8-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 31 Mar 2005 17:00:29 +0200

linkchecker (2.7-1) unstable; urgency=low

  * New upstream release.
    (Closes: #301529) - mailto-check is incomplete

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 29 Mar 2005 17:43:01 +0200

linkchecker (2.6-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Fri,  4 Mar 2005 21:31:44 +0100

linkchecker (2.5-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 17 Feb 2005 14:56:49 +0100

linkchecker (2.4-2) unstable; urgency=low

  * import profile module conditionally, and suggest python2.4-profiler
    package

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 10 Feb 2005 15:02:51 +0100

linkchecker (2.4-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Mon,  7 Feb 2005 01:31:03 +0100

linkchecker (2.3-1) unstable; urgency=low

  * New upstream release.
  * Depend on python 2.4 packages.
  * Make python2.4-optcomplete a suggestion.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 24 Jan 2005 20:24:12 +0100

linkchecker (2.2-1) unstable; urgency=low

  * New upstream release.
  * Suggest psyco

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 20 Jan 2005 20:57:12 +0100

linkchecker (2.1-1) unstable; urgency=low

  * New upstream release.
  * Depend on python-optcomplete.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 10 Jan 2005 16:05:44 +0100

linkchecker (2.0-1) unstable; urgency=low

  * New upstream release.
  * use cdbs for package compilation
  * use ${python:Depends}

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 24 Nov 2004 11:17:34 +0100

linkchecker (1.99+2.0rc2-1) unstable; urgency=low

  * New upstream release (2.0 release candidate).

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 18 Nov 2004 01:59:55 +0100

linkchecker (1.99+2.0rc1-1) unstable; urgency=low

  * New upstream release (2.0 release candidate).

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 25 Oct 2004 23:16:37 +0200

linkchecker (1.13.5-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 20 Sep 2004 11:10:28 +0200

linkchecker (1.13.4-1) unstable; urgency=medium

  * New upstream release, fixing serious bug. Medium urgency.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 14 Sep 2004 21:50:44 +0200

linkchecker (1.13.3-1) unstable; urgency=low

  * New upstream release.
  * of course the last entry meant 'move old config file' instead of
    'move old logfiles'

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 10 Sep 2004 09:53:48 +0200

linkchecker (1.13.2-1) unstable; urgency=low

  * New upstream release.
  * move old logfiles to /etc/linkchecker/linkcheckerrc.old in the
    postinst script

 -- Bastian Kleineidam <calvin@debian.org>  Wed,  8 Sep 2004 13:56:44 +0200

linkchecker (1.13.1-2) unstable; urgency=low

  * Added access notes about CGI script to README.Debian
    (Closes: #263568)

 -- Bastian Kleineidam <calvin@debian.org>  Sun,  5 Sep 2004 12:53:55 +0200

linkchecker (1.13.1-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu,  2 Sep 2004 23:13:03 +0200

linkchecker (1.13.0-1) unstable; urgency=low

  * New upstream release.
  * added debian/watch file
  * added NEWS.Debian

 -- Bastian Kleineidam <calvin@debian.org>  Wed,  1 Sep 2004 12:10:36 +0200

linkchecker (1.12.3-1) unstable; urgency=low

  * New upstream release.
  * add lintian overrides


