=== debian/control ===
Source: linkchecker
Section: web
Priority: optional
Maintainer: Bastian Kleineidam <calvin@debian.org>
Build-Depends: python-all-dev (>= 2.3.5-10), debhelper (>= 5.0.37.1), gettext, cdbs (>= 0.4.41), python-central (>= 0.4.17)
XS-Python-Standards-Version: 0.4
XS-Python-Version: >= 2.4
Standards-Version: 3.7.2.0

Package: linkchecker
Architecture: any
Depends: ${python:Depends}
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Suggests: apache | httpd, python-optcomplete (>= 1.2-5), python-profiler (>= 2.4.3-2), python-geoip (>= 1.2.1-2)
Description: check websites and HTML documents for broken links
 Provides a command line program and web interface to check links
 of websites and HTML documents.
 Features:
  o recursive checking
  o multithreaded
  o output in colored or normal text, HTML, SQL, CSV, XML or a sitemap
    graph in different formats
  o HTTP/1.1, HTTPS, FTP, mailto:, news:, nntp:, Gopher, Telnet and local
    file links support
  o restrict link checking with regular expression filters for URLs
  o proxy support
  o username/password authorization for HTTP, FTP and Telnet
  o robots.txt exclusion protocol support
  o Cookie support
  o i18n support
